Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIForm

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIForm

All Implemented Interfaces:
  NamingContainer, StateHolder

Direct Known Subclasses:
  HtmlForm

public class UIForm
extends UIComponentBase
implements NamingContainer

Version:
  $Revision: 267345 $ $Date: 2005-09-02 19:06:57 -0400 (Fri, 02 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIForm()`

Method Summary
`java.lang.String` | `getFamily()`
`boolean` | `isSubmitted()`
`void` | `processDecodes(FacesContext context)`
`void` | `processUpdates(FacesContext context)`
`void` | `processValidators(FacesContext context)`
`java.lang.Object` | `saveState(FacesContext context)`
`void` | `setSubmitted(boolean submitted)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIForm

    public UIForm()

Method Detail

### isSubmitted

    public boolean isSubmitted()

### setSubmitted

    public void setSubmitted(boolean submitted)

### processDecodes

    public void processDecodes(FacesContext context)

  Overrides:
    `processDecodes` in class `UIComponentBase`

### processValidators

    public void processValidators(FacesContext context)

  Overrides:
    `processValidators` in class `UIComponentBase`

### processUpdates

    public void processUpdates(FacesContext context)

  Overrides:
    `processUpdates` in class `UIComponentBase`

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIComponentBase`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `UIComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD